#ifndef PLUGINMANAGER_H
#define PLUGINMANAGER_H

#include <qvariant.h>


#include <Qt3Support/Q3Header>
#include <Qt3Support/Q3ListView>
#include <Qt3Support/Q3MimeSourceFactory>
#include <Qt3Support/Q3TextEdit>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QSplitter>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

QT_BEGIN_NAMESPACE

class Ui_PluginManager
{
public:
    QGridLayout *gridLayout;
    QGridLayout *gridLayout1;
    QSplitter *unnamed;
    Q3ListView *listPlugins;
    QWidget *layout24;
    QVBoxLayout *vboxLayout;
    QHBoxLayout *hboxLayout;
    QLabel *description_label;
    QSpacerItem *Horizontal_Spacing2_2;
    Q3TextEdit *description;
    QHBoxLayout *hboxLayout1;
    QLabel *components_label;
    QSpacerItem *Horizontal_Spacing2_21;
    Q3TextEdit *listComponents;
    QHBoxLayout *hboxLayout2;
    QPushButton *buttonAdd;
    QPushButton *buttonRemove;
    QSpacerItem *Horizontal_Spacing2;
    QPushButton *buttonClose;

    void setupUi(QDialog *PluginManager)
    {
        if (PluginManager->objectName().isEmpty())
            PluginManager->setObjectName(QString::fromUtf8("PluginManager"));
        PluginManager->resize(647, 306);
        PluginManager->setSizeGripEnabled(false);
        gridLayout = new QGridLayout(PluginManager);
        gridLayout->setSpacing(6);
        gridLayout->setContentsMargins(11, 11, 11, 11);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        gridLayout1 = new QGridLayout();
        gridLayout1->setSpacing(6);
        gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
        unnamed = new QSplitter(PluginManager);
        unnamed->setObjectName(QString::fromUtf8("unnamed"));
        unnamed->setOrientation(Qt::Horizontal);
        listPlugins = new Q3ListView(unnamed);
        listPlugins->addColumn(QApplication::translate("PluginManager", "Name", 0, QApplication::UnicodeUTF8));
        listPlugins->header()->setClickEnabled(true, listPlugins->header()->count() - 1);
        listPlugins->header()->setResizeEnabled(true, listPlugins->header()->count() - 1);
        listPlugins->addColumn(QApplication::translate("PluginManager", "Location", 0, QApplication::UnicodeUTF8));
        listPlugins->header()->setClickEnabled(true, listPlugins->header()->count() - 1);
        listPlugins->header()->setResizeEnabled(true, listPlugins->header()->count() - 1);
        listPlugins->setObjectName(QString::fromUtf8("listPlugins"));
        listPlugins->setMinimumSize(QSize(416, 0));
        listPlugins->setMidLineWidth(1);
        listPlugins->setAllColumnsShowFocus(true);
        listPlugins->setShowSortIndicator(true);
        listPlugins->setItemMargin(4);
        unnamed->addWidget(listPlugins);
        layout24 = new QWidget(unnamed);
        layout24->setObjectName(QString::fromUtf8("layout24"));
        vboxLayout = new QVBoxLayout(layout24);
        vboxLayout->setSpacing(6);
        vboxLayout->setContentsMargins(11, 11, 11, 11);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        vboxLayout->setContentsMargins(0, 0, 0, 0);
        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(6);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        description_label = new QLabel(layout24);
        description_label->setObjectName(QString::fromUtf8("description_label"));
        description_label->setWordWrap(false);

        hboxLayout->addWidget(description_label);

        Horizontal_Spacing2_2 = new QSpacerItem(80, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout->addItem(Horizontal_Spacing2_2);


        vboxLayout->addLayout(hboxLayout);

        description = new Q3TextEdit(layout24);
        description->setObjectName(QString::fromUtf8("description"));
        description->setEnabled(true);
        description->setMinimumSize(QSize(150, 0));
        description->setWrapColumnOrWidth(195);
        description->setReadOnly(true);
        description->setUndoRedoEnabled(false);

        vboxLayout->addWidget(description);

        hboxLayout1 = new QHBoxLayout();
        hboxLayout1->setSpacing(6);
        hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
        components_label = new QLabel(layout24);
        components_label->setObjectName(QString::fromUtf8("components_label"));
        components_label->setWordWrap(false);

        hboxLayout1->addWidget(components_label);

        Horizontal_Spacing2_21 = new QSpacerItem(80, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout1->addItem(Horizontal_Spacing2_21);


        vboxLayout->addLayout(hboxLayout1);

        listComponents = new Q3TextEdit(layout24);
        listComponents->setObjectName(QString::fromUtf8("listComponents"));
        listComponents->setEnabled(true);
        listComponents->setMinimumSize(QSize(150, 0));
        listComponents->setWrapColumnOrWidth(195);
        listComponents->setReadOnly(true);
        listComponents->setUndoRedoEnabled(false);

        vboxLayout->addWidget(listComponents);

        unnamed->addWidget(layout24);

        gridLayout1->addWidget(unnamed, 0, 0, 1, 1);


        gridLayout->addLayout(gridLayout1, 0, 0, 1, 1);

        hboxLayout2 = new QHBoxLayout();
        hboxLayout2->setSpacing(6);
        hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
        buttonAdd = new QPushButton(PluginManager);
        buttonAdd->setObjectName(QString::fromUtf8("buttonAdd"));
        buttonAdd->setAutoDefault(true);
        buttonAdd->setDefault(true);

        hboxLayout2->addWidget(buttonAdd);

        buttonRemove = new QPushButton(PluginManager);
        buttonRemove->setObjectName(QString::fromUtf8("buttonRemove"));
        buttonRemove->setAutoDefault(true);

        hboxLayout2->addWidget(buttonRemove);

        Horizontal_Spacing2 = new QSpacerItem(237, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout2->addItem(Horizontal_Spacing2);

        buttonClose = new QPushButton(PluginManager);
        buttonClose->setObjectName(QString::fromUtf8("buttonClose"));
        buttonClose->setAutoDefault(true);

        hboxLayout2->addWidget(buttonClose);


        gridLayout->addLayout(hboxLayout2, 1, 0, 1, 1);


        retranslateUi(PluginManager);
        QObject::connect(buttonClose, SIGNAL(clicked()), PluginManager, SLOT(close()));

        QMetaObject::connectSlotsByName(PluginManager);
    } // setupUi

    void retranslateUi(QDialog *PluginManager)
    {
        PluginManager->setWindowTitle(QApplication::translate("PluginManager", "Plugin Manager", 0, QApplication::UnicodeUTF8));
        listPlugins->header()->setLabel(0, QApplication::translate("PluginManager", "Name", 0, QApplication::UnicodeUTF8));
        listPlugins->header()->setLabel(1, QApplication::translate("PluginManager", "Location", 0, QApplication::UnicodeUTF8));
        description_label->setText(QApplication::translate("PluginManager", "Description", 0, QApplication::UnicodeUTF8));
        components_label->setText(QApplication::translate("PluginManager", "Component list", 0, QApplication::UnicodeUTF8));
        buttonAdd->setText(QApplication::translate("PluginManager", "&Add...", 0, QApplication::UnicodeUTF8));
        buttonAdd->setShortcut(QApplication::translate("PluginManager", "Alt+A", 0, QApplication::UnicodeUTF8));
        buttonRemove->setText(QApplication::translate("PluginManager", "&Remove", 0, QApplication::UnicodeUTF8));
        buttonRemove->setShortcut(QApplication::translate("PluginManager", "Alt+R", 0, QApplication::UnicodeUTF8));
        buttonClose->setText(QApplication::translate("PluginManager", "&Close", 0, QApplication::UnicodeUTF8));
        buttonClose->setShortcut(QApplication::translate("PluginManager", "Alt+C", 0, QApplication::UnicodeUTF8));
    } // retranslateUi

};

namespace Ui {
    class PluginManager: public Ui_PluginManager {};
} // namespace Ui

QT_END_NAMESPACE

class PluginManager : public QDialog, public Ui::PluginManager
{
    Q_OBJECT

public:
    PluginManager(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~PluginManager();

protected slots:
    virtual void languageChange();

};

#endif // PLUGINMANAGER_H
